Subject: bug#57292: GDM accessibility menu buttons don't do anything

From: Dariqq <[email-masked]>
Date: Tue, 16 Jan 2024 21:09:57 +0000

hi,

the patch that i've just sent fixes the missing icon and functionality 
(on gdm 42.0, have not tested gnome-team branch). I've also added the 
at-spi2-core package discussed before. With this gdm logs that the 
org.a11y.Bus and  org.a11y.atspi.Registry service are started.

However there is a new warning later:

ATK Bridge is disabled but a11y has already been enabled.

I don't really how this dbus service works and if this a problem.

At least the basic stuff like zoom, big text, etc. work. Also I've been 
unable to verify that the screenreader/orca starts in the gdm menu 
because sound is not working on my machine.